package com.persagy.server.datacenter.models.entities.dict

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 项目和自定义信息点方案关系实体类
 *
 * @author  张维新
 */
@ApiModel(description = "建筑信息实体类")
@Table(name = "dict.project_scheme")
class ProjectScheme : SBaseEntity(){

    /** 方案ID */
    @ApiModelProperty(value = "方案ID")
    @Column(name = "scheme_id")
    @Id
    @JSONField(name = "SchemeId")
    var schemeId: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Id
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

} // Class ProjectScheme