package com.persagy.server.datacenter.models.entities.rel

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 竖井的贯通关系  一对多 一个竖井对应多个其他竖井
 *
 * @author 张维新
 */
@ApiModel(description = "竖井的贯通关系")
class RShaftThroughShaftOtherList : SBaseEntity() {

    /** 竖井id */
    @ApiModelProperty(value = "竖井id")
    @JSONField(name = "ShaftId")
    var shaftId: String? = null

    /** 其他楼层id列表 */
    @ApiModelProperty(value = "其他楼层id列表")
    @JSONField(name = "ShaftOtherIdList")
    var shaftOtherIdList: ArrayList<String>? = null

} // class RFloorThroughFloorOtherList