package com.persagy.server.datacenter.models.entities.dict

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 设备族信息
 *
 * @author 张维新
 */
@ApiModel(description = "设备族信息")
@Table(name = "family")
class Family : SBaseEntity() {

    /** 设备族code */
    @ApiModelProperty(value = "设备族code")
    @Id
    @Column(name = "code")
    @JSONField(name = "Code")
    var code: String? = null

    /** 设备族code */
    @ApiModelProperty(value = "设备族code")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

} // class Family